cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/time_periods/tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"time_period": {
"display_name": "One calendar month",
"description": "Used for monthly billing"
}
}'from exsited import build_client
client = build_client()
response = client.time_periods.update_settings_time_period(
"tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a",
{
"time_period": {
"display_name": "One calendar month",
"description": "Used for monthly billing",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.timePeriods.updateSettingsTimePeriod('tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a', {
time_period: {display_name: 'One calendar month', description: 'Used for monthly billing'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->timePeriods->updateSettingsTimePeriod('tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a', [
'time_period' => [
'display_name' => 'One calendar month',
'description' => 'Used for monthly billing',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.time_periods.time_periods_dto.TimePeriodsDto.SettingsTimePeriod;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsTimePeriod> response = client.timePeriods().updateSettingsTimePeriod(
"tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a",
Map.of(
"time_period", Map.of(
"display_name", "One calendar month",
"description", "Used for monthly billing")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.TimePeriods.UpdateSettingsTimePeriodAsync(
"tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a",
new Dictionary<string, object?>
{
["time_period"] = new Dictionary<string, object?>
{
["display_name"] = "One calendar month",
["description"] = "Used for monthly billing",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.timePeriods.updateSettingsTimePeriod(
'tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a',
{
'time_period': {
'display_name': 'One calendar month',
'description': 'Used for monthly billing',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.TimePeriods().UpdateSettingsTimePeriod(context.Background(), "tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a", map[string]any{
"time_period": map[string]any{
"display_name": "One calendar month",
"description": "Used for monthly billing",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"time_period": {
"created_by": null,
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": null,
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"period": "<string>",
"status": "<string>"
}
}Time periods
Update a time period
Updates a time period’s details, or enables or disables it.
PATCH
/
settings
/
time_periods
/
{time_period_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/time_periods/tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"time_period": {
"display_name": "One calendar month",
"description": "Used for monthly billing"
}
}'from exsited import build_client
client = build_client()
response = client.time_periods.update_settings_time_period(
"tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a",
{
"time_period": {
"display_name": "One calendar month",
"description": "Used for monthly billing",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.timePeriods.updateSettingsTimePeriod('tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a', {
time_period: {display_name: 'One calendar month', description: 'Used for monthly billing'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->timePeriods->updateSettingsTimePeriod('tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a', [
'time_period' => [
'display_name' => 'One calendar month',
'description' => 'Used for monthly billing',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.time_periods.time_periods_dto.TimePeriodsDto.SettingsTimePeriod;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsTimePeriod> response = client.timePeriods().updateSettingsTimePeriod(
"tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a",
Map.of(
"time_period", Map.of(
"display_name", "One calendar month",
"description", "Used for monthly billing")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.TimePeriods.UpdateSettingsTimePeriodAsync(
"tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a",
new Dictionary<string, object?>
{
["time_period"] = new Dictionary<string, object?>
{
["display_name"] = "One calendar month",
["description"] = "Used for monthly billing",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.timePeriods.updateSettingsTimePeriod(
'tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a',
{
'time_period': {
'display_name': 'One calendar month',
'description': 'Used for monthly billing',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.TimePeriods().UpdateSettingsTimePeriod(context.Background(), "tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a", map[string]any{
"time_period": map[string]any{
"display_name": "One calendar month",
"description": "Used for monthly billing",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"time_period": {
"created_by": null,
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": null,
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"period": "<string>",
"status": "<string>"
}
}Send the fields to change under
time_period, such as display_name or description. To enable or disable the time period, send status as active or inactive. The updated time period comes back under time_period.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The time period's id, which starts with tp_.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The updated time period, under time_period.
Show child attributes
Show child attributes